# Uses of Class
org.opensaml.xmlsec.DecryptionParameters

Packages that use DecryptionParameters
Package
Description
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.xmlsec.context
Message context classes for XML Security.
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.

## Uses of DecryptionParameters in org.opensaml.saml.saml2.encryption

Constructors in org.opensaml.saml.saml2.encryption with parameters of type DecryptionParameters
Modifier
Constructor
Description
``
`Decrypter(DecryptionParameters params)`
Constructor.

## Uses of DecryptionParameters in org.opensaml.xmlsec.context

Fields in org.opensaml.xmlsec.context declared as DecryptionParameters
Modifier and Type
Field
Description
`private DecryptionParameters`
SecurityParametersContext.`decryptionParameters`
Decryption parameters.
Methods in org.opensaml.xmlsec.context that return DecryptionParameters
Modifier and Type
Method
Description
`DecryptionParameters`
SecurityParametersContext.`getDecryptionParameters()`
Get the parameters to use for XML decryption operations.
Methods in org.opensaml.xmlsec.context with parameters of type DecryptionParameters
Modifier and Type
Method
Description
`SecurityParametersContext`
SecurityParametersContext.`setDecryptionParameters(DecryptionParameters params)`
Set the parameters to use for XML decryption operations.

## Uses of DecryptionParameters in org.opensaml.xmlsec.encryption.support

Constructors in org.opensaml.xmlsec.encryption.support with parameters of type DecryptionParameters
Modifier
Constructor
Description
``
`Decrypter(DecryptionParameters params)`
Constructor.

## Uses of DecryptionParameters in org.opensaml.xmlsec.impl

Fields in org.opensaml.xmlsec.impl declared as DecryptionParameters
Modifier and Type
Field
Description
`private DecryptionParameters`
StaticDecryptionParametersResolver.`params`
Static parameters.
Methods in org.opensaml.xmlsec.impl that return DecryptionParameters
Modifier and Type
Method
Description
`DecryptionParameters`
BasicDecryptionParametersResolver.`resolveSingle(CriteriaSet criteria)`
`DecryptionParameters`
StaticDecryptionParametersResolver.`resolveSingle(CriteriaSet criteria)`
Methods in org.opensaml.xmlsec.impl that return types with arguments of type DecryptionParameters
Modifier and Type
Method
Description
`Iterable<DecryptionParameters>`
BasicDecryptionParametersResolver.`resolve(CriteriaSet criteria)`
`Iterable<DecryptionParameters>`
StaticDecryptionParametersResolver.`resolve(CriteriaSet criteria)`
Methods in org.opensaml.xmlsec.impl with parameters of type DecryptionParameters
Modifier and Type
Method
Description
`protected void`
BasicDecryptionParametersResolver.`logResult(DecryptionParameters params)`
Log the resolved parameters.
Constructors in org.opensaml.xmlsec.impl with parameters of type DecryptionParameters
Modifier
Constructor
Description
``
`StaticDecryptionParametersResolver(DecryptionParameters parameters)`
Constructor.